export declare function useSet<T>(arr?: T[]): {
    add: (value: T) => T;
    delete: (value: T) => T;
    clear: () => void;
    reset: (values?: T[]) => Set<T>;
    forEach: (callback: (value: T, key: T, set: Set<T>) => void) => void;
    map: <Result>(callback: (value: T, index: number, arr: T[]) => Result) => Result[];
    has: (value: T) => boolean;
    entries: () => IterableIterator<[T, T]>;
    values: () => IterableIterator<T>;
    keys: () => IterableIterator<T>;
    size: number;
    [Symbol.iterator](): Generator<T, void, unknown>;
    [Symbol.toStringTag]: string;
};
